Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226327 - python-shapely: FTBFS in Fedora rawhide/f39
Summary: python-shapely: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-shapely
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Beasley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 19:48 UTC by Fedora Release Engineering
Modified: 2023-10-24 11:25 UTC (History)
3 users (show)

Fixed In Version: python-shapely-2.0.1^20230725giteeb51ad-2.fc39 python-shapely-2.0.2-3.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-26 16:24:01 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 19:48 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 19:48 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 19:48 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github shapely shapely issues 1855 0 None open Regression with GEOS 3.12.0 in Fedora Rawhide 2023-07-26 01:39:24 UTC

Description Fedora Release Engineering 2023-07-25 19:48:38 UTC
python-shapely failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103694384


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix python-shapely at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-shapely will be orphaned. Before branching of Fedora 40,
python-shapely will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 19:48:42 UTC
Created attachment 1979365 [details]
build.log

Comment 2 Fedora Release Engineering 2023-07-25 19:48:46 UTC
Created attachment 1979366 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 19:48:49 UTC
Created attachment 1979367 [details]
state.log

Comment 4 Ben Beasley 2023-07-25 21:52:19 UTC
This package was broken by GEOS 3.12.0.



=================================== FAILURES ===================================
______________ OperationsTestCase.test_parallel_offset_linestring ______________

self = <tests.test_parallel_offset.OperationsTestCase testMethod=test_parallel_offset_linestring>

    def test_parallel_offset_linestring(self):
        line1 = LineString([(0, 0), (10, 0)])
        left = line1.parallel_offset(5, 'left')
        assert_geometries_equal(left, LineString([(0, 5), (10, 5)]))
        right = line1.parallel_offset(5, 'right')
        assert_geometries_equal(right, LineString([(10, -5), (0, -5)]), normalize=True)
        right = line1.parallel_offset(-5, 'left')
        assert_geometries_equal(right, LineString([(10, -5), (0, -5)]), normalize=True)
        left = line1.parallel_offset(-5, 'right')
        assert_geometries_equal(left, LineString([(0, 5), (10, 5)]))

        # by default, parallel_offset is right-handed
        assert_geometries_equal(line1.parallel_offset(5), right)

        line2 = LineString([(0, 0), (5, 0), (5, -5)])
>       assert_geometries_equal(line2.parallel_offset(2, 'left', resolution=1),
                                LineString([(0, 2), (5, 2), (7, 0), (7, -5)]))
E       AssertionError:
E       Geometries are not equal:
E
E       Not equal to tolerance 1e-07
E        x: array(<LINESTRING (0 2, 5 2, 5.39 1.962, 5.765 1.848, 6.111 1.663, 6.414 1.414, 6....>,
E             dtype=object)
E        y: array(<LINESTRING (0 2, 5 2, 7 0, 7 -5)>, dtype=object)

tests/test_parallel_offset.py:32: AssertionError
=========================== short test summary info ============================
FAILED tests/test_parallel_offset.py::OperationsTestCase::test_parallel_offset_linestring
======== 1 failed, 257 passed, 2 skipped, 3 xfailed, 1 xpassed in 0.81s ========


The error resembles https://github.com/shapely/shapely/issues/1436, although that issue is supposed to be fixed.

A recent GEOS-related change was https://github.com/shapely/shapely/pull/1820.

I need to see if this can be fixed by backporting that PR as a patch, or by packaging a snapshot of the upstream maint-2.0 branch (https://github.com/shapely/shapely/compare/2.0.1...maint-2.0).

Hopefully, upstream will issue a release that is compatible with GEOS 3.12.0 soon: https://github.com/shapely/shapely/issues/1852

Comment 5 Ben Beasley 2023-07-25 21:57:17 UTC
Happily, https://github.com/shapely/shapely/pull/1820.patch applies directly to the 2.0.1 release.

Unhappily, it pertains to a different test and does not fix the test failure we are seeing.

Comment 6 Ben Beasley 2023-07-25 22:22:15 UTC
(In reply to Ben Beasley from comment #4)

> I need to see if this can be fixed by backporting that PR as a patch, or by
> packaging a snapshot of the upstream maint-2.0 branch
> (https://github.com/shapely/shapely/compare/2.0.1...maint-2.0).
> 
> Hopefully, upstream will issue a release that is compatible with GEOS 3.12.0
> soon: https://github.com/shapely/shapely/issues/1852

As of https://github.com/shapely/shapely/commit/092319dd2ab18054c43fac4533db8c475a07fa82, packaging a snapshot of the maint-2.0 branch is not a fix either.

Comment 8 Fedora Update System 2023-07-26 16:21:57 UTC
FEDORA-2023-96773c61a4 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-96773c61a4

Comment 9 Fedora Update System 2023-07-26 16:24:01 UTC
FEDORA-2023-96773c61a4 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-10-24 11:23:39 UTC
FEDORA-2023-be06f68d98 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-be06f68d98

Comment 11 Fedora Update System 2023-10-24 11:25:11 UTC
FEDORA-2023-be06f68d98 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.